Subject: Re: bug#42552: 28.0.50; Overlay 'face' property doesn't set the "underlying face" for 'after-string'

From: Dmitry Gutov <[email-masked]>
Date: Tue, 11 Aug 2020 01:27:59 +0300

On 07.08.2020 08:42, Eli Zaretskii wrote:

>> 1. Eval:
>>
>> (with-silent-modifications
>>     (insert (propertize "abc"
>>                         'font-lock-face
>>                         '((:background "green" :extend t)
>>                           default
>>                           ( :inverse-video t
>>                             :foreground "yellow"
>>                             :extend t)))))
>>
>> 2. C-j
>>
>> The "extended" newline is yellow.
> 
> That's expected due to face-merging, no?

I would have expected it to be green, at least. But if you say it's 
working correctly, it probably is.

>> I'll try to implement this all as suggested, and will come back after.
> 
> Should we close this bug or keep it open?

I've pushed the changes based on this discussion, so the matter looks 
closed.

Thanks.